package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttKmBase;
import org.apache.ibatis.annotations.Mapper;

/** 公里桩信息 Mapper */
@Mapper
public interface AttKmBaseMapper {
    /**
     * 查询公里桩信息列表
     *
     * @param attKmBase 查询条件
     * @return 公里桩信息列表
     */
    public List<AttKmBase> selectAttKmBaseList(AttKmBase attKmBase);

    /**
     * 通过公里桩编码查询公里桩信息
     *
     * @param kmCode 公里桩编码
     * @return 公里桩信息
     */
    public AttKmBase selectAttKmBaseById(String kmCode);

    /**
     * 通过公里桩编码删除公里桩信息
     *
     * @param kmCode 公里桩编码
     * @return 影响行数
     */
    public int deleteAttKmBaseById(String kmCode);

    /**
     * 批量删除公里桩信息
     *
     * @param kmCodes 公里桩编码数组
     * @return 影响行数
     */
    public int deleteAttKmBaseByIds(String[] kmCodes);

    /**
     * 修改公里桩信息
     *
     * @param attKmBase 公里桩信息
     * @return 影响行数
     */
    public int updateAttKmBase(AttKmBase attKmBase);

    /**
     * 新增公里桩信息
     *
     * @param attKmBase 公里桩信息
     * @return 影响行数
     */
    public int insertAttKmBase(AttKmBase attKmBase);
}
